'use strict';
define([
  'angular',

  'widgets/mapapp/basemap/directives/basemapwidget',
  'widgets/mapapp/basemap/directives/toolbarbasemap',
  'widgets/mapapp/basemap/directives/toolbarExtendBaseMap',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, basemapwidget, toolbarbasemap, toolbarExtendBaseMap) {
  // generation du module
  var gcbasemap = angular.module('gc_basemap', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gcbasemap.directive('basemapwidget', basemapwidget);
  gcbasemap.directive('toolbarbasemap', toolbarbasemap);
  gcbasemap.directive('toolbarextendbasemap', toolbarExtendBaseMap);
  // ajout factory

  //route provider

  return gcbasemap;
});
